Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.NodeProvisioning (grizzly v7.4.2)

NodeProvisioning Command Class

The Node Provisioning command class is used to manage a list of unique nodes, called the "Node Provisioning List", in SmartStart controller or gateway.

# Summary

## Functions

encode_meta_extensions(meta_extensions)
optional_binary_to_dsk(binary)

Get the DSK from a raw binary

optional_dsk_to_binary(dsk)

Get the binary representation of the dsk

# Functions

Link to this function

# encode_meta_extensions(meta_extensions)

View Source
Link to this function

# optional_binary_to_dsk(binary)

View Source

    @spec optional_binary_to_dsk(binary()) :: Grizzly.ZWave.DSK.t()

Get the DSK from a raw binary

If the binary is empty this will return `{:ok, #DSK<00000-00000-00000-00000-00000-00000-00000-00000>}`.

Link to this function

# optional_dsk_to_binary(dsk)

View Source

    @spec optional_dsk_to_binary(Grizzly.ZWave.DSK.t() | nil) :: binary()

Get the binary representation of the dsk

If the DSK is `nil` then this will return an empty binary.